%define pkgname lfcxml
%define libname lib%{pkgname}
%define soname  %{libname}1
Name:           %{soname}
Version:	1.1.7
Release:	1.3
Group:		Productivity/Databases
Summary:	Lemke Foundation Classes XML extension
License:	GPLv2
Url:		http://www.lemke-it.com
Source0:	http://www.lemke-it.com/%{pkgname}-%{version}.tar.bz2
Patch0:		lfcxml-include.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gcc-c++
BuildRequires:	ncurses-devel
BuildRequires:	liblfcbase-devel >= 1.5.4

%description
This C++ library provides an API for XML document handling. Similar to the JDOM Java interface,
a XML document can be parsed, traced and generated by the provided methods. Furthermore,
this library is a good example for the usage of the dragon parser generator. 

%package -n %{libname}-devel
Group:		Productivity/Databases
Summary:	Development files for lfcxml
Requires:	%{soname} = %{version}
Requires:	liblfcbase-devel >= 1.5.4

%description -n %{libname}-devel
This package contains development files for lfcxml.

%prep
%setup -n %{pkgname}-%{version}
%patch0

%build
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/liblfcxml.so.1*

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/lfcxml
%{_includedir}/lfcxml/Attribute.h
%{_includedir}/lfcxml/Document.h
%{_includedir}/lfcxml/Element.h
%{_includedir}/lfcxml/XML.h
%{_includedir}/lfcxml/XMLEscaper.h
%{_includedir}/lfcxml/XMLInStream.h
%{_includedir}/lfcxml/XMLOutStream.h
%{_includedir}/lfcxml/XMLSuite.h
%{_libdir}/liblfcxml.a
%{_libdir}/liblfcxml.la
%{_libdir}/liblfcxml.so

%changelog
* Tue Feb 25 2014 cs@linux-administrator.com
- update to release 1.1.7
* Fri Jun  7 2013 cs@linux-administrator.com
- update to release 1.1.4
* Mon May 20 2013 cs@linux-administrator.com
- update to release 1.1.3
* Thu May 16 2013 cs@linux-administrator.com
- update to release 1.1.2
* Wed May 15 2013 cs@linux-administrator.com
- update to release 1.1.1
